%global momorel 2
%global build_devel 1
%global src0_md5sum 0a5f5f226e41ce408a895bec995e8c05
%global _ipv6 0

Name: iptables
Summary: Tools for managing Linux kernel packet filtering capabilities.
Version: 1.2.11
Release: %{momorel}m
%NoSource 0 http://www.iptables.org/files/%{name}-%{version}.tar.bz2 %{src0_md5sum}
Source1: iptables.init
Source2: iptables-config
Patch1:  iptables-1.2.8-nolibnsl.patch
Patch2:  iptables-1.2.9-netlink.patch
Patch3:  iptables-1.2.9-selinux.patch
Patch4:  iptables-1.2.11-counters.patch
Patch5:  iptables-1.2.11-free.patch
Patch6:  iptables-1.2.11-cleanup.patch
Patch7: iptables-1.2.11-autoload.patch
Group: System Environment/Base
URL: http://www.iptables.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
BuildPrereq: perl, findutils
Requires: chkconfig
BuildRequires: momonga-rpmmacros >= 20040310-6m

%if %{_ipv6}
%package ipv6
Summary: IPv6 support for iptables
Group: System Environment/Base
Requires: %{name} = %{version}
%define v6flags DO_IPV6=1
%else
%define v6flags DO_IPV6=""
%endif

%if %{build_devel}
%package devel
Summary: Development package for iptables.
Group: System Environment/Base
Requires: %{name} = %{version}
%endif

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.

%if %{_ipv6}
%description ipv6
The iptables package contains IPv6 (the next version of the IP
protocol) support for iptables. Iptables controls the Linux kernel
network packet filtering code, allowing you to set up firewalls and IP
masquerading.

Install iptables-ipv6 if you need to set up firewalling for your
network and you are using ipv6.
%endif

%if %{build_devel}
%description devel
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.
%endif

%prep
rm -rf %{buildroot}
%setup -q
%patch1 -p1 -b .nolibnsl
%patch2 -p1 -b .netlink
%patch3 -p1 -b .selinux
%patch4 -p1 -b .counters
%patch5 -p1 -b .free
%patch6 -p1 -b .cleanup
%patch7 -p1 -b .autoload

# Put it to a reasonable place
find . -type f | xargs perl -pi -e "s,/usr/local,%{_prefix},g"

%build
OPTFLAGS=`echo '%{optflags}' | sed 's/ -fstack-protector//g'`
make LIBDIR=/lib COPT_FLAGS="${OPTFLAGS}" %{v6flags}
make LIBDIR=/lib COPT_FLAGS="${OPTFLAGS}" iptables-save iptables-restore %{v6flags}

%install
make install DESTDIR=%{buildroot} BINDIR=/sbin LIBDIR=/%{_lib} MANDIR=%{_mandir} %{v6flags}
%if %{build_devel}
make install-devel DESTDIR=%{buildroot} BINDIR=/sbin LIBDIR=%{_libdir} MANDIR=%{_mandir}
%endif
# cp ip{6,}tables-{save,restore} %{buildroot}/sbin
# cp iptables-*.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_initscriptdir}
install -c -m755 %{SOURCE1} %{buildroot}%{_initscriptdir}/iptables
mkdir -p %{buildroot}/etc/sysconfig
install -c -m755 %{SOURCE2} %{buildroot}/etc/sysconfig/iptables-config
%if %{_ipv6}
sed -e 's;iptables;ip6tables;g' -e 's;IPTABLES;IP6TABLES;g' < %{SOURCE1} > ip6tables.init
install -c -m755 ip6tables.init %{buildroot}%{_initscriptdir}/ip6tables
sed -e 's;iptables;ip6tables;g' -e 's;IPTABLES;IP6TABLES;g' < %{SOURCE2} > ip6tables-config
install -c -m755 ip6tables-config %{buildroot}/etc/sysconfig/ip6tables-config
%endif

%clean
rm -rf %{buildroot}

%post
chkconfig --add iptables

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del iptables
fi

%if %{_ipv6}
%post ipv6
chkconfig --add ip6tables
%endif

%if %{_ipv6}
%preun ipv6
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del ip6tables
fi
%endif

%files
%defattr(-,root,root,0755)
%doc COPYING INSTALL INCOMPATIBILITIES
%config %attr(0755,root,root) %{_initscriptdir}/iptables
%config(noreplace) %attr(0600,root,root) /etc/sysconfig/iptables-config
/sbin/iptables*
%{_mandir}/man8/iptables*
%dir /%{_lib}/iptables
/%{_lib}/iptables/libipt*

%if %{_ipv6}
%files ipv6
%defattr(-,root,root,0755)
%config %attr(0755,root,root) %{_initscriptdir}/ip6tables
%config(noreplace) %attr(0600,root,root) /etc/sysconfig/ip6tables-config
/sbin/ip6tables*
%{_mandir}/man8/ip6tables*
/%{_lib}/iptables/libip6t*
%endif

%if %{build_devel}
%files devel
%defattr(-,root,root,0755)
%{_includedir}/libipq.h
%{_libdir}/libipq.a
%{_libdir}/libiptc.a
%{_mandir}/man3/*
%endif

%changelog
* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.11-2m)
- set %%global _ipv6 0

* Wed Nov 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.11-1m)
- update to upstream version.
- add security fix patch. [Patch7]
  [securitytracker.com: iptables May Fail to Automatically Load Some Modules]
  http://www.securitytracker.com/alerts/2004/Nov/1012025.html

* Thu Jul 15 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.2.9-2m)
- _ipv6 0 ready

* Thu Jul 15 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.9-1m)
- import patch from FC2

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.8-4m)
- rollback use _ipv6

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.8-3m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m
- change _ipv6 to usagi_ipv6

* Tue Sep  9 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.8-2m)
- change macro name defined in include/linux/netfilter_ipv4/ipt_physdev.h
   IPT_PHYSDEV_OP_MATCH_IN  -> IPT_PHYSDEV_OP_IN
   IPT_PHYSDEV_OP_MATCH_OUT -> IPT_PHYSDEV_OP_OUT

* Tue Sep  9 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.8-1m)
- update to 1.2.8

* Mon Sep  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7a-5m)
- rebuild against kernel-2.4.22

* Wed Apr 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-4m)
- rebuild against kernel-2.4.20-46m(new netfilter helper)
    please make sure that running kernel is 2.4.20-46m or newer.

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7a-3m)
- revise %preun

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-2m)
- define _ipv6 as 0 (ipv6 commands are provided by usagi-ip6tables)

* Sat Nov 16 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.7a-1m)
- fix module load error. (unset -fstack-protector option)
  (Couldn't load match `icmp':/lib/iptables/libipt_icmp.so: undefined
  symbol: __guard)
- update to 1.2.7a

* Thu Jul 18 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.6-7m)
- delete %define _ipv6 0 (create iptables-ipv6 sub package)

* Wed May 01 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.2.6-6k)
- delete Requires: kernel >= 2.4.0 for ruby-rpm-install.rb

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.2.6-4k)
- 1.2.6a

* Fri Mar 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.6-2k)
- update to 1.2.6

* Mon Jan 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.2.5-2k)
- update to 1.2.5
- new URLs
- fix libmss print format bug (iptables-1.2.5-savefix.patch)

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.4-2k)
- update to 1.2.4

* Tue Sep  4 2001 MATSUDA, Daiki <dyky@df-uas.com>
- (1.2.3-4k)
- remove OPT

* Tue Sep  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.3-2k)
- update to 1.2.3

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.1a-8k)
- no more ifarch alpha.

* Fri May  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.1a-6k)
- add v6flags macro for PPC...

* Fri May  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.1a-4k)
- not obsoletes ipchans

* Tue Apr 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.1a-2k)
- import from Rawhide

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2.1a, fixes #28412, #31136, #31460, #31133

* Thu Mar  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Yet another initscript fix (#30173)
- Fix the fixes; they fixed some issues but broke more important
  stuff :/ (#30176)

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up initscript (#27962)
- Add fixes from CVS to iptables-{restore,save}, fixing #28412

* Fri Feb 09 2001 Karsten Hopp <karsten@redhat.de>
- create /etc/sysconfig/iptables mode 600 (same problem as #24245)

* Mon Feb 05 2001 Karsten Hopp <karsten@redhat.de>
- fix bugzilla #25986 (initscript not marked as config file)
- fix bugzilla #25962 (iptables-restore)
- mv chkconfig --del from postun to preun

* Thu Feb  1 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Fix check for ipchains

* Mon Jan 29 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Some fixes to init scripts

* Wed Jan 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add some fixes from CVS, fixes among other things Bug #24732

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing man pages, fix up init script (Bug #17676)

* Mon Jan 15 2001 Bill Nottingham <notting@redhat.com>
- add init script

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2
- fix up ipv6 split
- add init script
- Move the plugins from /usr/lib/iptables to /lib/iptables.
  This needs to work before /usr is mounted...
- Use -O1 on alpha (compiler bug)

* Sat Jan  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.2
- Add IPv6 support (in separate package)

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- build everywhere

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move iptables to /sbin.
- excludearch alpha for now, not building there because of compiler bug(?)

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- don't obsolete ipchains either
- update to 1.1.0

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- remove explicit kernel requirement

* Tue May  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial package
